Agora RTC Objective-C API Reference Refactor

Data Fields
TranscodingVideoStream Struct Reference

## Data Fields
VIDEO_SOURCE_TYPE | sourceType
uid_t | remoteUserUid
const char * | imageUrl
int | mediaPlayerId
int | x
int | y
int | width
int | height
int | zOrder
double | alpha
bool | mirror

## Constructor & Destructor Documentation

## ◆ TranscodingVideoStream()

TranscodingVideoStream | ( |  | ) |
| inline

## Field Documentation

## ◆ sourceType

VIDEO_SOURCE_TYPE sourceType

The video source type for local video mixing. See `VIDEO_SOURCE_TYPE`.

## ◆ remoteUserUid

uid_t remoteUserUid

The user ID of the remote user.

Note
  Use this parameter only when the source type is `VIDEO_SOURCE_REMOTE` for local video mixing.

## ◆ imageUrl

const char* imageUrl

The file path of local images. Examples:

- Windows: `C:\\Users\\{username}\\Pictures\\image.png`
  Note
    Use this parameter only when the source type is the image for local video mixing.

## ◆ mediaPlayerId

int mediaPlayerId

(Optional) Media player ID. Use the parameter only when you set `sourceType` to `VIDEO_SOURCE_MEDIA_PLAYER`.

## ◆ x

int x

The relative lateral displacement of the top left corner of the video for local video mixing to the origin (the top left corner of the canvas).

## ◆ y

int y

The relative longitudinal displacement of the top left corner of the captured video to the origin (the top left corner of the canvas).

## ◆ width

int width

The width (px) of the video for local video mixing on the canvas.

## ◆ height

int height

The height (px) of the video for local video mixing on the canvas.

## ◆ zOrder

int zOrder

The number of the layer to which the video for the local video mixing belongs. The value range is [0, 100].

- 0: (Default) The layer is at the bottom.
- 100: The layer is at the top.

## ◆ alpha

double alpha

The transparency of the video for local video mixing. The value range is [0.0, 1.0]. 0.0 indicates that the video is completely transparent, and 1.0 indicates that it is opaque.

## ◆ mirror

bool mirror

Whether to mirror the video for the local video mixing.

- `true`: Mirror the video for the local video mixing.
- `false`: (Default) Do not mirror the video for the local video mixing.
  Note
    This parameter only takes effect on video source types that are cameras.